#ifndef _DATA_STRUCT_H
#define _DATA_STRUCT_H
struct CardInfoStruct
{
int cardType;//证件类型：1=居民身份证、2=港澳台居民居住证、3=2017版永居证、4=新版永居证
//***居民身份证数据结构***
unsigned char sfz_name[30];//姓名
unsigned char sfz_gender[6];//性别
unsigned char sfz_nation[8];//民族
unsigned char sfz_birthday[16];//出生日期
unsigned char sfz_address[70];//住址
unsigned char sfz_idNumber[36];//公民身份号码
unsigned char sfz_issueOrganization[30];//签发机关
unsigned char sfz_validDateStart[16];//有效期起始日期
unsigned char sfz_validDateEnd[16];//有效期截止日期
unsigned char sfz_reserved[36];//预留
//***居民身份证数据结构***
//***港澳台居民居住证数据结构***
unsigned char gat_name[30];//姓名
unsigned char gat_gender[6];//性别
unsigned char gat_reserved1[4];//预留
unsigned char gat_birthday[16];//出生日期
unsigned char gat_address[70];//地址
unsigned char gat_idNumber[36];//公民身份号码
unsigned char gat_issueOrganization[30];//签发机关
unsigned char gat_validDateStart[16];//有效期起始日期
unsigned char gat_validDateEnd[16];//有效期截止日期
unsigned char gat_passCheckId[18];//通行证号码
unsigned char gat_issuesNumber[4];//签发次数
unsigned char gat_reserved2[6];//预留
unsigned char gat_cardType[2];//证件类型标识
unsigned char gat_reserved3[6];//预留
//***港澳台居民居住证数据结构***
//***2017版永居证数据结构***
unsigned char yjzOld_nameEnglish[120];//英文姓名
unsigned char yjzOld_gender[6];//性别
unsigned char yjzOld_idNumber[30];//2017版永居证号码
unsigned char yjzOld_nationality[6];//国籍
unsigned char yjzOld_nameChinese[30];//中文姓名
unsigned char yjzOld_validDateStart[16];//有效期起始日期
unsigned char yjzOld_validDateEnd[16];//有效期截止日期
unsigned char yjzOld_birthday[16];//出生日期
unsigned char yjzOld_cardVersion[4];//证件版本号
unsigned char yjzOld_issueOrganization[8];//签发地行政区划代码
unsigned char yjzOld_cardType[2];//证件类型标识
unsigned char yjzOld_reserved[6];//预留
//***2017 版永居证数据结构***
//***新版永居证数据结构***
unsigned char yjz_nameChinese[30];//中文姓名
unsigned char yjz_gender[6];//性别
unsigned char yjz_renewalNumber[4];//换证次数
unsigned char yjz_birthday[16];//出生日期
unsigned char yjz_nameEnglish[70];//英文姓名
unsigned char yjz_idNumber[36];//新版永居证号码
unsigned char yjz_reserved[30];//预留
unsigned char yjz_validDateStart[16];//有效期起始日期
unsigned char yjz_validDateEnd[16];//有效期截止日期
unsigned char yjz_nameEnglishAdd[22];//英文姓名备用
unsigned char yjz_nationality[6];//国籍
unsigned char yjz_cardType[2];//证件类型标识
unsigned char yjz_releatedItems[6]; // 关联项
unsigned char yjz_historicalNumber[30];//曾持有既往版本永居证15位号码
//***新版永居证数据结构***     
};
#endif
